Bug 728207 - Review request: retrace-client - Client application for Retrace server
Summary: Review request: retrace-client - Client application for Retrace server
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 11:36 UTC by Michal Toman
Modified: 2015-03-23 00:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-27 11:31:13 UTC
mlichvar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michal Toman 2011-08-04 11:36:13 UTC
Spec URL: http://mtoman.fedorapeople.org/retrace-client.spec
SRPM URL: http://mtoman.fedorapeople.org/retrace-client-1.0-1.el6.src.rpm

Description:
The Retrace client is a command line application providing
communication with Retrace server.

$ rpmlint retrace-client.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint retrace-client-1.0-1.el6.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint retrace-client-1.0-1.el6.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint retrace-client-debuginfo-1.0-1.el6.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Miroslav Lichvar 2011-08-04 14:33:33 UTC
Everything looks good, approved.

- rpmlint is silent
- package is named according to the Package Naming Guidelines
- the spec file name must matches the base package %{name}
- the package meets the Packaging Guidelines
- the package is licensed with a Fedora approved license and meets the Licensing Guidelines (GPLv2+)
- the License field in the package spec file matches the actual license
- file containing the text of the license(s) for the package is included in %doc
- the spec file is written in American English
- the spec file for the package is be legible
- the source used to build the package matches the upstream source, as provided in the spec URL
  (18eb70e8283b698455b0592c6557722c  retrace-client-1.0.tar.gz)
- the package successfully compiles and builds into binary rpms on at least one primary architecture
- all build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
- the spec file handles locales properly
- the package doesn't bundle copies of system libraries
- the package owns all directories that it creates or depends on packages that provide them
- the package does not list a file more than once in the spec file's %files listings
- permissions on files are set properly
- the package consistently uses macros
- the package contains code, or permissable content
- all filenames in rpm packages are valid UTF-8

- the package builds in mock
- the package functions as described
- the package contains man pages for binaries/scripts

Comment 2 Michal Toman 2011-08-09 06:03:48 UTC
New Package SCM Request
=======================
Package Name: retrace-client
Short Description: Client application for Retrace server
Owners: mtoman kklic jmoskovc
Branches: el6

Comment 3 Gwyn Ciesla 2011-08-09 13:20:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.